/* Implements directives, pseudo-ops and processor opcodes
   Copyright (C) 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005
   James Bowman, Craig Franklin
$C*/

#ifndef __OPCODE_H__
#define __OPCODE_H__

#define W                   0
#define F                   1
#define ACCESS              0
#define BANKED              1

extern gpasmVal do_insn(const char *Op_name, struct pnode *Parms);
extern void opcode_init(int Stage);
extern void begin_cblock(const struct pnode *Cblock);
extern void continue_cblock(void);
extern void cblock_expr(const struct pnode *Expr);
extern void cblock_expr_incr(const struct pnode *Expr, const struct pnode *Incr);
extern gp_boolean asm_enabled(void);

#endif
